<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaBooking StructType
 * @subpackage Structs
 */
class VisaBooking extends AbstractStructBase
{
    /**
     * The VisaBookingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaBooking
     */
    public $VisaBookingRQ;
    /**
     * Constructor method for VisaBooking
     * @uses VisaBooking::setVisaBookingRQ()
     * @param \StructType\JP_VisaBooking $visaBookingRQ
     */
    public function __construct(\StructType\JP_VisaBooking $visaBookingRQ = null)
    {
        $this
            ->setVisaBookingRQ($visaBookingRQ);
    }
    /**
     * Get VisaBookingRQ value
     * @return \StructType\JP_VisaBooking|null
     */
    public function getVisaBookingRQ()
    {
        return $this->VisaBookingRQ;
    }
    /**
     * Set VisaBookingRQ value
     * @param \StructType\JP_VisaBooking $visaBookingRQ
     * @return \StructType\VisaBooking
     */
    public function setVisaBookingRQ(\StructType\JP_VisaBooking $visaBookingRQ = null)
    {
        $this->VisaBookingRQ = $visaBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
